# WhoisInfoType | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- WhoisInfoType

## Index

### Properties

- address
- block_renewed_at
- blockchain
- did
- expire_block
- grace_period
- last_transaction_height
- last_txid
- owner_address
- owner_script
- renewal_deadline
- resolver
- status
- zonefile
- zonefile_hash

## Properties

### address

address: string

- Defined in packages/cli/src/cli.ts:121

### block_renewed_at

block_renewed_at: number

- Defined in packages/cli/src/cli.ts:123

### blockchain

blockchain: string

- Defined in packages/cli/src/cli.ts:122

### did

did: string

- Defined in packages/cli/src/cli.ts:124

### expire_block

expire_block: number

- Defined in packages/cli/src/cli.ts:125

### grace_period

grace_period: number

- Defined in packages/cli/src/cli.ts:126

### last_transaction_height

last_transaction_height: number

- Defined in packages/cli/src/cli.ts:127

### last_txid

last_txid: string

- Defined in packages/cli/src/cli.ts:128

### owner_address

owner_address: string

- Defined in packages/cli/src/cli.ts:129

### owner_script

owner_script: string

- Defined in packages/cli/src/cli.ts:130

### renewal_deadline

renewal_deadline: number

- Defined in packages/cli/src/cli.ts:131

### resolver

resolver: string | null

- Defined in packages/cli/src/cli.ts:132

### status

status: string

- Defined in packages/cli/src/cli.ts:133

### zonefile

zonefile: string | null

- Defined in packages/cli/src/cli.ts:134

### zonefile_hash

zonefile_hash: string | null

- Defined in packages/cli/src/cli.ts:135

Generated using TypeDoc